<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.xssf.usermodel (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.xssf.usermodel (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/streaming/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/charts/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.xssf.usermodel</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/IndexedColorMap.html"
                                            title="interface in org.apache.poi.xssf.usermodel">IndexedColorMap</a></td>
                    <td class="colLast">
                        <div class="block">Interface for color index to RGB mappings.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.PivotTableReferenceConfigurator.html"
                            title="interface in org.apache.poi.xssf.usermodel">XSSFPivotTable.PivotTableReferenceConfigurator</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html"
                            title="class in org.apache.poi.xssf.usermodel">BaseXSSFEvaluationWorkbook</a></td>
                    <td class="colLast">
                        <div class="block">Internal POI use only - parent of XSSF and SXSSF evaluation workbooks</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html"
                            title="class in org.apache.poi.xssf.usermodel">BaseXSSFFormulaEvaluator</a></td>
                    <td class="colLast">
                        <div class="block">Internal POI use only - parent of XSSF and SXSSF formula evaluators</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/CustomIndexedColorMap.html"
                            title="class in org.apache.poi.xssf.usermodel">CustomIndexedColorMap</a></td>
                    <td class="colLast">
                        <div class="block">custom index color map, i.e.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/DefaultIndexedColorMap.html"
                            title="class in org.apache.poi.xssf.usermodel">DefaultIndexedColorMap</a></td>
                    <td class="colLast">
                        <div class="block">Uses the legacy colors defined in HSSF for index lookups</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFAnchor.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFAnchor</a></td>
                    <td class="colLast">
                        <div class="block">An anchor is what specifics the position of a shape within a client object
                            or within another containing shape.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFAutoFilter.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFAutoFilter</a></td>
                    <td class="colLast">
                        <div class="block">Represents autofiltering for the specified worksheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFBorderFormatting.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFBorderFormatting</a></td>
                    <td class="colLast">
                        <div class="block">XSSF high level representation for Border Formatting component
                            of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFBuiltinTableStyle.XSSFBuiltinTypeStyleStyle.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFBuiltinTableStyle.XSSFBuiltinTypeStyleStyle</a>
                    </td>
                    <td class="colLast">
                        <div class="block">implementation for built-in styles</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFCell.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFCell</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of a cell in a row of a spreadsheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFCellStyle.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFCellStyle</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of the the possible formatting information for the
                            contents of the cells on a sheet in a
                            SpreadsheetML document.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFChart</a></td>
                    <td class="colLast">
                        <div class="block">Represents a SpreadsheetML Chart</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFChartSheet.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFChartSheet</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of Sheet Parts that are of type 'chartsheet'.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFChildAnchor.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFChildAnchor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFClientAnchor.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFClientAnchor</a></td>
                    <td class="colLast">
                        <div class="block">A client anchor is attached to an excel worksheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFColor</a></td>
                    <td class="colLast">
                        <div class="block">Represents a color in SpreadsheetML</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFColorScaleFormatting.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFColorScaleFormatting</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for Color Scale / Color Gradient Formatting
                            component of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFComment.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFComment</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormatting.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFConditionalFormatting</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingRule.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFConditionalFormattingRule</a></td>
                    <td class="colLast">
                        <div class="block">XSSF support for Conditional Formatting rules</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingThreshold.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFConditionalFormattingThreshold</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for Icon / Multi-State / Databar /
                            Colour Scale change thresholds
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionFilterData.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFConditionFilterData</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFConnector.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFConnector</a></td>
                    <td class="colLast">
                        <div class="block">A connection shape drawing element.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFCreationHelper.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFCreationHelper</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataBarFormatting.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFDataBarFormatting</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for DataBar / Data Bar Formatting
                            component of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataFormat.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFDataFormat</a></td>
                    <td class="colLast">
                        <div class="block">Handles data formats for XSSF.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFDataValidation</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFDataValidationConstraint</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationHelper.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFDataValidationHelper</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDialogsheet.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFDialogsheet</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a></td>
                    <td class="colLast">
                        <div class="block">Represents a SpreadsheetML drawing</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFDxfStyleProvider.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFDxfStyleProvider</a></td>
                    <td class="colLast">
                        <div class="block">Style based on a dxf record - e.g.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFEvaluationWorkbook.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFEvaluationWorkbook</a></td>
                    <td class="colLast">
                        <div class="block">Internal POI use only</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFEvenFooter.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFEvenFooter</a></td>
                    <td class="colLast">
                        <div class="block">
                            Even page footer value.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFEvenHeader.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFEvenHeader</a></td>
                    <td class="colLast">
                        <div class="block">
                            Even page header value.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFactory.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFFactory</a></td>
                    <td class="colLast">
                        <div class="block">Instantiates sub-classes of POIXMLDocumentPart depending on their
                            relationship type
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFirstFooter.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFFirstFooter</a></td>
                    <td class="colLast">
                        <div class="block">
                            First page footer content.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFirstHeader.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFFirstHeader</a></td>
                    <td class="colLast">
                        <div class="block">
                            First page header content.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFFont</a></td>
                    <td class="colLast">
                        <div class="block">Represents a font used in a workbook.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFFontFormatting</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFFormulaEvaluator.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFFormulaEvaluator</a></td>
                    <td class="colLast">
                        <div class="block">Evaluates formula cells.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFGraphicFrame.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFGraphicFrame</a></td>
                    <td class="colLast">
                        <div class="block">Represents DrawingML GraphicalObjectFrame.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFHeaderFooterProperties.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFHeaderFooterProperties</a></td>
                    <td class="colLast">
                        <div class="block">
                            All Header/Footer properties for a sheet are scoped to the sheet.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFHyperlink.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFHyperlink</a></td>
                    <td class="colLast">
                        <div class="block">XSSF Implementation of a Hyperlink.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFIconMultiStateFormatting.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFIconMultiStateFormatting</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for Icon / Multi-State Formatting
                            component of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFMap.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFMap</a></td>
                    <td class="colLast">
                        <div class="block">This class implements the Map element (Open Office XML Part 4:
                            chapter 3.16.2)
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFName</a></td>
                    <td class="colLast">
                        <div class="block">Represents a defined named range in a SpreadsheetML workbook.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFObjectData</a></td>
                    <td class="colLast">
                        <div class="block">Represents binary object (i.e.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFOddFooter.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFOddFooter</a></td>
                    <td class="colLast">
                        <div class="block">Odd page footer value.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFOddHeader.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFOddHeader</a></td>
                    <td class="colLast">
                        <div class="block">Odd page header value.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFPatternFormatting.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFPatternFormatting</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPicture.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFPicture</a></td>
                    <td class="colLast">
                        <div class="block">Represents a picture shape in a SpreadsheetML drawing.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPictureData.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFPictureData</a></td>
                    <td class="colLast">
                        <div class="block">Raw picture data, normally attached to a SpreadsheetML Drawing.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCache.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFPivotCache</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCacheDefinition.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFPivotCacheDefinition</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotCacheRecords.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFPivotCacheRecords</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPivotTable.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFPivotTable</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFPrintSetup.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFPrintSetup</a></td>
                    <td class="colLast">
                        <div class="block">Page setup and page margins settings for the worksheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFRangeCopier.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFRangeCopier</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFRelation.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFRelation</a></td>
                    <td class="colLast">
                        <div class="block">Defines namespaces, content types and normal file names / naming
                            patterns, for the well-known XSSF format parts.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFRichTextString</a></td>
                    <td class="colLast">
                        <div class="block">Rich text unicode string.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFRow</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of a row of a spreadsheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></td>
                    <td class="colLast">
                        <div class="block">Represents a shape in a SpreadsheetML drawing.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShapeGroup.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFShapeGroup</a></td>
                    <td class="colLast">
                        <div class="block">This object specifies a group shape that represents many shapes grouped
                            together.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of a SpreadsheetML worksheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheetConditionalFormatting.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFSheetConditionalFormatting</a></td>
                    <td class="colLast">
                        <div class="block">XSSF Conditional Formattings</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFSimpleShape</a></td>
                    <td class="colLast">
                        <div class="block">Represents a shape with a predefined geometry in a SpreadsheetML drawing.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFTable</a></td>
                    <td class="colLast">
                        <div class="block">This class implements the Table Part (Open Office XML Part 4: chapter 3.5.1)

                            Columns of this table may contains mappings to a subtree of an XML.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableColumn.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFTableColumn</a></td>
                    <td class="colLast">
                        <div class="block">A table column of an <a
                                href="../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html"
                                title="class in org.apache.poi.xssf.usermodel"><code>XSSFTable</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableStyle.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFTableStyle</a></td>
                    <td class="colLast">
                        <div class="block"><a href="../../../../../org/apache/poi/ss/usermodel/TableStyle.html"
                                              title="interface in org.apache.poi.ss.usermodel"><code>TableStyle</code></a>
                            implementation for styles defined in the OOXML styles.xml.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableStyleInfo.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFTableStyleInfo</a></td>
                    <td class="colLast">
                        <div class="block">Wrapper for the CT class, to cache values and add style lookup</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextBox.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFTextBox</a></td>
                    <td class="colLast">
                        <div class="block">Represents a text box in a SpreadsheetML drawing.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a></td>
                    <td class="colLast">
                        <div class="block">Represents a paragraph of text within the containing text body.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextRun.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFTextRun</a></td>
                    <td class="colLast">
                        <div class="block">Represents a run of text within the containing text body.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFVBAPart.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFVBAPart</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFVMLDrawing.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFVMLDrawing</a></td>
                    <td class="colLast">
                        <div class="block">Represents a SpreadsheetML VML drawing.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of a SpreadsheetML workbook.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbookFactory.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFWorkbookFactory</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/ListAutoNumber.html"
                                            title="enum in org.apache.poi.xssf.usermodel">ListAutoNumber</a></td>
                    <td class="colLast">
                        <div class="block">Specifies type of automatic numbered bullet points that should be applied to
                            a paragraph.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/TextAlign.html"
                                            title="enum in org.apache.poi.xssf.usermodel">TextAlign</a></td>
                    <td class="colLast">
                        <div class="block">Specified a list of text alignment types</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/TextAutofit.html"
                                            title="enum in org.apache.poi.xssf.usermodel">TextAutofit</a></td>
                    <td class="colLast">
                        <div class="block">Specifies a list of auto-fit types.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/TextCap.html"
                                            title="enum in org.apache.poi.xssf.usermodel">TextCap</a></td>
                    <td class="colLast">
                        <div class="block">Text Capitalization that is to be applied to the text run.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/TextDirection.html"
                                            title="enum in org.apache.poi.xssf.usermodel">TextDirection</a></td>
                    <td class="colLast">
                        <div class="block">Vertical Text Types</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/TextFontAlign.html"
                                            title="enum in org.apache.poi.xssf.usermodel">TextFontAlign</a></td>
                    <td class="colLast">
                        <div class="block">Specified a list of text font alignment types</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/TextHorizontalOverflow.html"
                            title="enum in org.apache.poi.xssf.usermodel">TextHorizontalOverflow</a></td>
                    <td class="colLast">
                        <div class="block">Text Horizontal Overflow</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/TextVerticalOverflow.html"
                            title="enum in org.apache.poi.xssf.usermodel">TextVerticalOverflow</a></td>
                    <td class="colLast">
                        <div class="block">Text Vertical Overflow</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFBuiltinTableStyle.html"
                            title="enum in org.apache.poi.xssf.usermodel">XSSFBuiltinTableStyle</a></td>
                    <td class="colLast">
                        <div class="block">Table style names defined in the OOXML spec.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbookType.html"
                                            title="enum in org.apache.poi.xssf.usermodel">XSSFWorkbookType</a></td>
                    <td class="colLast">
                        <div class="block">Represents the two different kinds of XML-based OOXML document.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/streaming/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/charts/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
